function y = trap(x,a,b)
% convolve rect(x/a) with rect(x/b)

y = zeros(size(x));
xb = (a+b)/2;
xa = abs(a-b)/2;

% region 1
r = (x>-xb) & (x<-xa);
idx = find(r);
y(idx) = x(idx) + xb ;

% region 2
r =(x>=-xa) & (x<=xa); 
idx = find(r);
y(idx) = min(a,b);

% region 3
idx = find(x>xa & x<xb);
y(idx) = xb - x(idx);


